Core - Task # 56580

Epic # 55070 (Accepted): Workpackages
Epic # 54542 (Accepted): WP: Importer / Exporter with relations MM/IRRE/FAL
Story # 55520 (Resolved): As an User | want to create exports in v. 6.2 and import them in v. 6.2

Status: Resolved Priority: Should have

Author: Marc Bastian Heinrichs Category:

Created: 2014-03-05 Assigned To: Marc Bastian Heinrichs
Updated: 2014-04-15 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity: easy

Sprint Focus:

Subject: SoftReferencelndex typolink missing support for title attribute

Description

Is used by import/export and results in getting the title attribute on typolinks lost.

Related issues:
related to Core - Bug # 58484: SoftReferencelndex typolink missing support fo... Resolved

2014-05-04

Associated revisions

Revision e8fe21fa - 2014-03-07 16:53 - Marc Bastian Heinrichs

[BUGFIX] SoftReferencelndex typolink lacks support for title attributes

The SoftReferencelndex parses and rebuilds typolink tags, but the
support for the title attributes was missing.
This leads to lost title attributes on typolinks in exports from impexp.

Resolves: #56580

Releases: 6.2, 6.1, 6.0, 4.5

Change-Id: 19bf5c02b79ae4c9024322f0da99dccal37b678daa
Reviewed-on: https://review.typo3.org/28083

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Markus Klein
Tested-by: Markus Klein

Revision d124103c - 2014-04-15 10:14 - Marc Bastian Heinrichs

[BUGFIX] SoftReferencelndex typolink lacks support for title attributes

The SoftReferencelndex parses and rebuilds typolink tags, but the
support for the title attributes was missing.
This leads to lost title attributes on typolinks in exports from impexp.

Resolves: #56580

Releases: 6.2, 6.1, 6.0, 4.5

Change-Id: 19bf5c02b79ae4c9024322f0da99dccal37b678daa
Reviewed-on: https:/review.typo3.org/28169
Reviewed-by: Marc Bastian Heinrichs

Tested-by: Marc Bastian Heinrichs

Revision 48f974e1 - 2014-04-15 10:14 - Marc Bastian Heinrichs

[BUGFIX] SoftReferencelndex typolink lacks support for title attributes

The SoftReferencelndex parses and rebuilds typolink tags, but the
support for the title attributes was missing.
This leads to lost title attributes on typolinks in exports from impexp.

Resolves: #56580

Releases: 6.2, 6.1, 6.0, 4.5

Change-Id: 19bf5c02b79ae4c9024322f0da99dcca37b678daa
Reviewed-on: https://review.typo3.0rg/28170

Reviewed-by: Marc Bastian Heinrichs

Tested-by: Marc Bastian Heinrichs

Revision fcdaecOc - 2014-04-15 10:16 - Marc Bastian Heinrichs

[BUGFIX] SoftReferencelndex typolink lacks support for title attributes

The SoftReferencelndex parses and rebuilds typolink tags, but the
support for the title attributes was missing.
This leads to lost title attributes on typolinks in exports from impexp.

Resolves: #56580

Releases: 6.2, 6.1, 6.0, 4.5

Change-Id: 19bf5c02b79ae4c9024322f0da99dcca37b678daa
Reviewed-on: https://review.typo3.org/28171

Reviewed-by: Wouter Wolters
Reviewed-by: Marc Bastian Heinrichs

Tested-by: Marc Bastian Heinrichs

Revision 9a2f4027 - 2014-04-15 10:17 - Marc Bastian Heinrichs

[BUGFIX] SoftReferencelndex typolink lacks support for title attributes

The SoftReferencelndex parses and rebuilds typolink tags, but the
support for the title attributes was missing.
This leads to lost title attributes on typolinks in exports from impexp.

Resolves: #56580

Releases: 6.2, 6.1, 6.0, 4.5

Change-Id: 19bf5c02b79ae4c9024322f0da99dcca37b678daa
Reviewed-on: https:/review.typo3.org/28799

Reviewed-by: Marc Bastian Heinrichs
Tested-by: Marc Bastian Heinrichs
History

#1 - 2014-03-05 17:09 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28083

#2 - 2014-03-05 19:13 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28083

#3 - 2014-03-05 19:18 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28083

#4 - 2014-03-05 21:09 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28083

#5 - 2014-03-05 21:23 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28083

#6 - 2014-03-06 10:11 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28083

#7 - 2014-03-06 10:33 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28083

#8 - 2014-03-06 15:33 - Marc Bastian Heinrichs
- % Done changed from 0 to 90

#9 - 2014-03-07 17:30 - Marc Bastian Heinrichs

- Status changed from Under Review to Resolved
- % Done changed from 90 to 100
Applied in changeset commit:e8fe21fa9c31bfcbac08909bc02ed7{9576b2759.

#10 - 2014-03-07 17:33 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28169

#11 - 2014-03-07 17:36 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28170

#12 - 2014-03-07 17:51 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-5 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28171

#13 - 2014-03-08 18:07 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28169

#14 - 2014-03-08 18:17 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-0 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28170

#15 - 2014-03-25 19:52 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-7 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28799

#16 - 2014-04-15 10:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved

Applied in changeset commit:9a2f40272ce161cd71afae818fae4745520fd3f2.
